import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "Diario Financiero";

export const handler: Handler = new Portal(
  name,
  config.MASTODON_KEY_DF,
  {
    url: config.DF,
    linkPrefix: "https://www.df.cl",
    articlesSelector: "article",
    titleSelector: "h3 a",
    linkSelector: "h3 a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["DiarioFinanciero", "DF", "DFMas", "Noticias"]
  }
).getHandler();
