import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "El Ciudadano";

export const handler: Handler = new Portal(
  name,
  config.MASTODON_KEY_ELCIUDADANO,
  {
    url: config.ELCIUDADANO,
    articlesSelector: "article",
    titleSelector: "h3",
    linkSelector: "a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["ElCiudadano", "Noticias"]
  }
).getHandler();
