import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "EMOL - El Mercurio Online";

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_EMOL,
  {
    url: config.EMOL,
    articlesSelector: "div.cont_736_e_2015 cont_300_e_2015 div.contenedor-destacados, div.cont_736_e_2015 div",
    titleSelector: "h1, h3, div.contenedor-titulo a",
    linkSelector: "h1 a, h3 a, div.contenedor-titulo a",
    linkPrefix: config.EMOL,
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["Emol", "ElMercurioOnline", "ElMercurio", "Noticias"]
  }
).getHandler();
